<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 31 Lucky Dice</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <style>
        .divd-background-picture {
            background-image: url("images 2/signup-bg.jpg");
            height: 100%;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 0.8;
        }
    </style>

<body>
    <div class="container-fluid divd-background-picture">
        <form action="#" id="form-login" method="post">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3>CREATE ACCOUNT</h3>
                    </div>
                    <div class="form-group">
                        <input type="text" name="username" placeholder="Your Name" id="inp-yourname" class="form-control"
                            value="" autocomplete="username">
                    </div>
                    <div class="form-group">
                        <input type="email" name="email" placeholder="Your Email" id="inp-email"
                            class="form-control" value="" autocomplete="inp-current-password">
                    </div>
                    <div class="form-group">
                        <input type="password" name="password" placeholder="Password" id="inp-password"
                            class="form-control" value="" autocomplete="inp-current-password">
                    </div>
                    <div class="form-group">
                        <input type="password" name="repeat password" placeholder="Repeat your password" id="inp-repeat-password"
                            class="form-control" value="" autocomplete="inp-current-password">
                    </div>
                    <div style="margin: 20px;">
                        <input type="checkbox" id="checkbox-confirm-accept" /> I accept the
                        <a href="#">Terms of Use</a> &amp;
                        <a href="#">Privacy Policy</a>
                        <p id="p-agree-feedback" class="invalid-feedback">You must accpet before submitting</p>
                    </div>
                    <div class="form-group">
                        <button class="btn  btn-block btn-success" id="btn-sign-up">SIGN UP</button>
                    </div>
                    <div style="margin-top: 50px;">
                        Have already an account?
                        <a href="#">Login here</a>
                    </div>
                </div>
            </div>
        </form>
    </div>
</body>
<script>
    "use strict";
    /*** Region 1 - Global vasiables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gYourName = $("#inp-yourname");
    var gYourEmail = $("#inp-email");
    var gPassword = $("#inp-password");
    var gRepeatPass = $("#inp-repeat-password");
    var gCheckBox = $("#checkbox-confirm-accept");
    /*** Region 2 - Vùng gán/gọi hàm xử lý sự kiện cho các element */
    $(document).ready(function(){
        $("#btn-sign-up").on("click", onBtnSignUpClick);
    })
    /*** Region 3 - Event handlers - Vùng khai báo các hàm sử lý sự kiện */
    function onBtnSignUpClick(){
        var vObjUser = {
            yourName: "",
            yourEmail: "",
            password: "",
            repeatPassword: "",
            accept: false
        }
        //1: Get data
        getInputData(vObjUser);
        //2: Check data
        var vValid = checkInputData(vObjUser);
        if(vValid){
            showDataUser(vObjUser);
        }
    }
    /*** Region 4 - Common functions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
    //function get data
    function getInputData(paramObjUser){
        paramObjUser.yourName = gYourName.val();
        paramObjUser.yourEmail = gYourEmail.val();
        paramObjUser.password = gPassword.val();
        paramObjUser.repeatPassword = gRepeatPass.val();
        paramObjUser.accept = gCheckBox.is(":checked");
    }
    //function check data
    function checkInputData(paramObjUser){
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if(paramObjUser.yourName == ""){
            alert("Nhập tên của bạn!");
            return false;
        }
        if(paramObjUser.yourEmail == ""){
            alert("Nhập email của bạn!");
            return false;
        }
        if(!vRegexStr.test(paramObjUser.yourEmail)){
            alert("Email sai định dạng!");
            return false;
        }
        if(paramObjUser.password == ""){
            alert("Nhập password!");
            return false;
        }
        if(paramObjUser.password != paramObjUser.repeatPassword){
            alert("Không giống password đã nhập!");
            return false;
        }
        if(!paramObjUser.accept){
            $("#p-agree-feedback").css("display", "block");
            alert("You must accpet before submitting.");
            return false;
        }else{
            $("#p-agree-feedback").css("display", "none");
        }
        return true;
    }
    //function show data user
    function showDataUser(paramObjUser){
        console.log("User Name: " + paramObjUser.yourName);
        console.log("Email: " + paramObjUser.yourEmail);
        console.log("Password: " + paramObjUser.password);
        console.log("Repeat password: " + paramObjUser.repeatPassword);
        console.log("I accept: " + paramObjUser.accept);
    }
</script>
</html>